(************************************************************)
(*                                                          *)
(*                      ICAR toplevel, lexer                *)
(*                                                          *)
(*                        Jean-Yves Moyen                   *)
(*                            Mai 2001                      *)
(*                                                          *)
(************************************************************)

{ (*header*)
open Toppars
}

(*rules*)

rule token = parse
    [' ' '\t']     {token lexbuf}
  | "load" {LOAD}
  | "add" {ADD}
  | "cbv" {CBV}
  | "mem" {MEM}
  | "eval" {EVAL}
  | "getsem" {GETSEM}
  | "setcbv" {SETCBV}
  | "setmem" {SETMEM}
  | "mpo" {MPO}
  | "lpo" {LPO}
  | "check" {CHK}
  | "qi" {QI}
  | "print" {PRINT}
  | "help" {HELP}
  | "quit" {QUIT}
  | "\n"   {EOL}
  | ['A'-'Z' 'a'-'z'] ['A'-'Z' 'a'-'z' '0'-'9' '_' '(' ')' ',']*
                        {IDENT(Lexing.lexeme lexbuf)} 
{(*trailer*)
}
